## com.saxonica.codegen
Class PatternCompiler

    java.lang.Object
      com.saxonica.codegen.PatternCompiler

    public class PatternCompiler

extends java.lang.Object

Compile a PatternMatchExpression (. matches pattern)

Constructor Summary
`PatternCompiler()`

Method Summary
`static void` `compileToEffectiveBooleanValue(CompilerService compiler, java.lang.String nodeVar, Pattern pat, java.lang.String booleanVar)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternCompiler

    public PatternCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public static void compileToEffectiveBooleanValue(CompilerService compiler,
                                                      java.lang.String nodeVar,
                                                      Pattern pat,
                                                      java.lang.String booleanVar)

Copyright (c) Saxonica Limited. All rights reserved.